Lists
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}/lists' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 200,
"page": 1,
"results": [
{
"description": "Les films et séries que je possède en DVD.",
"favorite_count": 0,
"id": 7057603,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 252,
"list_type": "movie",
"name": "Owned",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8238235,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11505,
"list_type": "movie",
"name": "My Movie Library",
"poster_path": null
},
{
"description": "A list of mids found by Mid Hunters",
"favorite_count": 0,
"id": 8272938,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 7500,
"list_type": "movie",
"name": "Mid Hunting List",
"poster_path": null
},
{
"description": "Master List In Progress",
"favorite_count": 0,
"id": 51108,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11809,
"list_type": "movie",
"name": "My Movies",
"poster_path": null
},
{
"description": "Trying to list the movies I have watched, but it may take quite some time to complete it.\r\n\r\nBy the way, I use MyAnimeList's notation system, which is:\r\n\r\n(1) Appalling; (2) Horrible; (3) Very Bad; (4) Bad; (5) Average; (6) Fine; (7) Good; (8) Very Good; (9) Great; (10) Masterpiece",
"favorite_count": 0,
"id": 8303328,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 206,
"list_type": "movie",
"name": "WATCHED",
"poster_path": null
},
{
"description": "from the book Ready Player One and Ready Player Two\r\nAll the movie references\r\nSo you can become a true film gunter",
"favorite_count": 0,
"id": 8506294,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 138,
"list_type": "movie",
"name": "Ready Player One & Two",
"poster_path": null
},
{
"description": "Blu-rays, DVDs, VHS Tapes",
"favorite_count": 0,
"id": 8498723,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1137,
"list_type": "movie",
"name": "Quite The Silly Collection",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 126302,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 12515,
"list_type": "movie",
"name": "Abstrusest 2",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8428066,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 650,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7095983,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 175,
"list_type": "movie",
"name": "Sci-Fi",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7079769,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2248,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 21427,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2688,
"list_type": "movie",
"name": "All Movies",
"poster_path": null
},
{
"description": "Live-action movies I have seen at some point in my life.",
"favorite_count": 0,
"id": 113214,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 403,
"list_type": "movie",
"name": "Live-Action Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 137406,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 825,
"list_type": "movie",
"name": "My Collection",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8231961,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1588,
"list_type": "movie",
"name": "Movies I've Seen",
"poster_path": null
},
{
"description": "My collection of DVD's",
"favorite_count": 0,
"id": 33728,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1809,
"list_type": "movie",
"name": "My Personal Collection...",
"poster_path": null
},
{
"description": "My Blu-ray collection.",
"favorite_count": 0,
"id": 82018,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 418,
"list_type": "movie",
"name": "Blu-rays",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8504586,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1063,
"list_type": "movie",
"name": "Phil's Watched Films",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8233984,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 823,
"list_type": "movie",
"name": "Watched 2023- Movie Juice",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7092101,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 13393,
"list_type": "movie",
"name": "for radarr",
"poster_path": null
}
],
"total_pages": 12,
"total_results": 236
}MOVIES
Lists
This endpoint gets the lists that a movie has been added to.
GET
/
3
/
movie
/
{movie_id}
/
lists
Lists
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
New Request
Example:
200
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"description": "Les films et séries que je possède en DVD.",
"favorite_count": 0,
"id": 7057603,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 252,
"list_type": "movie",
"name": "Owned",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8238235,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11505,
"list_type": "movie",
"name": "My Movie Library",
"poster_path": null
},
{
"description": "A list of mids found by Mid Hunters",
"favorite_count": 0,
"id": 8272938,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 7500,
"list_type": "movie",
"name": "Mid Hunting List",
"poster_path": null
},
{
"description": "Master List In Progress",
"favorite_count": 0,
"id": 51108,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11809,
"list_type": "movie",
"name": "My Movies",
"poster_path": null
},
{
"description": "Trying to list the movies I have watched, but it may take quite some time to complete it.\r\n\r\nBy the way, I use MyAnimeList's notation system, which is:\r\n\r\n(1) Appalling; (2) Horrible; (3) Very Bad; (4) Bad; (5) Average; (6) Fine; (7) Good; (8) Very Good; (9) Great; (10) Masterpiece",
"favorite_count": 0,
"id": 8303328,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 206,
"list_type": "movie",
"name": "WATCHED",
"poster_path": null
},
{
"description": "from the book Ready Player One and Ready Player Two\r\nAll the movie references\r\nSo you can become a true film gunter",
"favorite_count": 0,
"id": 8506294,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 138,
"list_type": "movie",
"name": "Ready Player One & Two",
"poster_path": null
},
{
"description": "Blu-rays, DVDs, VHS Tapes",
"favorite_count": 0,
"id": 8498723,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1137,
"list_type": "movie",
"name": "Quite The Silly Collection",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 126302,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 12515,
"list_type": "movie",
"name": "Abstrusest 2",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8428066,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 650,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7095983,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 175,
"list_type": "movie",
"name": "Sci-Fi",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7079769,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2248,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 21427,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2688,
"list_type": "movie",
"name": "All Movies",
"poster_path": null
},
{
"description": "Live-action movies I have seen at some point in my life.",
"favorite_count": 0,
"id": 113214,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 403,
"list_type": "movie",
"name": "Live-Action Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 137406,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 825,
"list_type": "movie",
"name": "My Collection",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8231961,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1588,
"list_type": "movie",
"name": "Movies I've Seen",
"poster_path": null
},
{
"description": "My collection of DVD's",
"favorite_count": 0,
"id": 33728,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1809,
"list_type": "movie",
"name": "My Personal Collection...",
"poster_path": null
},
{
"description": "My Blu-ray collection.",
"favorite_count": 0,
"id": 82018,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 418,
"list_type": "movie",
"name": "Blu-rays",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8504586,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1063,
"list_type": "movie",
"name": "Phil's Watched Films",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8233984,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 823,
"list_type": "movie",
"name": "Watched 2023- Movie Juice",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7092101,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 13393,
"list_type": "movie",
"name": "for radarr",
"poster_path": null
}
]
Example:
12
Example:
236
⌘I